## arnesi 1.3.0+tla20050331-1

=== docs/Makefile ===

docs: html pdf

.PHONY: html docstrings pdf

html: docstrings arnesi.texi
	makeinfo -I docstrings/ --html arnesi.texi

docstrings:
	openmcl -e "(asdf:oos 'asdf:load-op :arnesi)" \
                -e "(load \"docstrings\")" \
                -e "(it.bese.arnesi::docstrings-to-texinfo \"docstrings/\" :it.bese.arnesi)" \
                -e "(ccl:quit)"

clean:
	rm -rf docstrings/
	rm -rf arnesi/

=== debian/changelog ===
arnesi (1.3.0+tla20050331-1) unstable; urgency=low

  * debian/control:
    * suggests qbook for the documentation
  * debian/rules:
    * added command to delete the .arch-ids folders
  * arch revision:
      arnesi--dev--1.3--patch-12

 -- Luca Capello <luca@pca.it>  Thu, 31 Mar 2005 18:04:40 +0200

arnesi (1.3.0+tla20050307) unstable; urgency=low

  * Initial release
  * arch revision:
      arnesi--dev--1.3--patch-8

 -- Luca Capello <luca@pca.it>  Wed,  9 Mar 2005 14:16:27 +0100

=== debian/control ===
Source: arnesi
Section: devel
Priority: optional
Maintainer: Luca Capello <luca@pca.it>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: cl-arnesi
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, common-lisp-controller (>= 3.47), cl-asdf
Suggests: cl-qbook
Description: small Common Lisp utilities
 arnesi is a Common Lisp utility suite. It contains various "bits 'n
 pieces" of code which were useful while developing other code.
 .
 Features:
  * Flow control macros - while, whichever, if-bind, etc.
  * A simple logging facility - kind-of/sort-of/maybe like log4j.
  * HTTP/HTML utilities - URL and HTML escaping
  * Pattern matching - fare-matcher style pattern matcher and "regular"
    list matcher
  * Accumulation - collecting and reducing macros
  * Cps transformer - an ad-hoc, bug ridden implementation of half of
    call/cc.
  * Decimal arithmetic - convert floats to exact rationals and vice
    versa with a given precision; standard rounding functions.
  * MOP compatibility package - The MOPP package provides the MOP's
    symbols on various implementations. Currently OpenMCL, CMUCL, SBCL,
    Lispworks and CLISP are supported.

=== debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT=4

pkg		:= arnesi
debpkg		:= cl-$(pkg)


clc-source	:= usr/share/common-lisp/source
clc-systems	:= usr/share/common-lisp/systems
clc-files	:= $(clc-source)/$(pkg)
doc-dir		:= usr/share/doc/$(debpkg)


configure: configure-stamp

configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
#	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	# Add here commands to compile the package.
#	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	rm -rf debian/postinst.* debian/prerm.* debian/$(debpkg)
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	# Add here commands to install the package into debian/pkg.
	dh_installdirs

	# Install sources
	dh_install $(pkg).asd $(clc-files)
	cp -r src debian/$(debpkg)/$(clc-files)
	cp -r t debian/$(debpkg)/$(clc-files)
	find debian/$(debpkg)/$(clc-files) -name .arch-ids | xargs rm -r
	dh_link $(clc-files)/$(pkg).asd $(clc-systems)/$(pkg).asd

# Build architecture-independent files here.
binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
#	dh_installemacsen
#	dh_installexamples
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## arnesi 20060513

=== docs/Makefile ===
# Change this to whatever lisp you'r using
LISP=sbcl
EVAL=--eval
QUIT=(sb-ext:quit)
SYSTEM=ARNESI

docs: pdf html

html:
	mkdir -p html/
	${LISP} ${EVAL} "(asdf:oos 'asdf:load-op :qbook)" \
	        ${EVAL} "(asdf:oos 'asdf:load-op :${SYSTEM})" \
		${EVAL} "(asdf:oos 'qbook:publish-op :${SYSTEM} \
                                   :generator (make-instance 'qbook:html-generator \
                                                             :output-directory \"./html/\" \
                                                             :title \"${SYSTEM}\"))" \
		${EVAL} "${QUIT}"

pdf:
	mkdir -p pdf/
	${LISP} ${EVAL} "(asdf:oos 'asdf:load-op :qbook)" \
                ${EVAL} "(asdf:oos 'asdf:load-op :${SYSTEM})" \
		${EVAL} "(asdf:oos 'qbook:publish-op :${SYSTEM} \
                                   :generator (make-instance 'qbook:latex-generator \
                                                             :output-file \"./pdf/${SYSTEM}.tex\" \
                                                             :title \"${SYSTEM}\"))" \
		${EVAL} "${QUIT}"
	(cd pdf && pdflatex ${SYSTEM}.tex)
	(cd pdf && pdflatex ${SYSTEM}.tex)
	rm pdf/${SYSTEM}.aux pdf/${SYSTEM}.log pdf/${SYSTEM}.toc pdf/${SYSTEM}.tex
